<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "driver";
$formname = "Driver Print";
$file = "driver_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $driver = $_POST[driver];
    $country = $_POST[country];
    $city = $_POST[city];



    $drivercond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($driver)) {
        $drivercond = " AND `code`='$driver' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `accmast` where `name` != '' and grpcode = '028' $drivercond  $countrycond $citycond  order by name ")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-5">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a onclick="window.close()"  class="btn btn-primary">Go Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>Country</th>
                            <th>City</th>
                            <th>Email</th>
                            <th>Pin</th>
                            <th>Tel</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {
                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1]</td>";
                            Echo "<td>$pmain[country]</td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[email]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $driver = $_POST[driver];
    $country = $_POST[country];
    $city = $_POST[city];



    $drivercond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($driver)) {
        $drivercond = " AND `code`='$driver' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `driver` where `name` != ''  $drivercond  $countrycond $citycond  order by name ")or die(mysqli_error($conn));

    $contents.="Sr.,Name,Address,Country,City,Email,Pin,Tel\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pname = $pmain[name];
        $paddress = $pmain[add1];
        $pcountry = $pmain[country];
        $pcity = $pmain[city];
        $pemail = $pmain[email];
        $ppin = $pmain[pin];
        $ptel = $pmain[tel];

        $contents.=$ctr . ",";
        $contents.=$pname . ",";
        $contents.=$paddress . ",";
        $contents.=$pcountry . ",";
        $contents.=$pcity . ",";
        $contents.=$pemail . ",";
        $contents.=$ppin . ",";
        $contents.=$ptel . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
